Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 17371
Description

Hi

The standalone windows installer for QGIS includes the python matplotlib module required for (among other things?) the contour plugin,
but is missing the dateutil module on which it depends. So currently anything trying to use matplotlib will fail :-(

Could the dateutil module be added to the installer please?

History

#1 - 2013-09-21 12:03 PM - Giovanni Manghi
- Status changed from Open to Feedback

This dependency was ok in qgis 1.8 on Windows?

#2 - 2013-09-21 02:08 PM - Chris Crook

Hi Giovanni. | never installed the standalone 1.8, so don't know whether it was required or no. Brief research indicates that there is a change in how

matplotlib deals with external dependencies (or ships).

http://stackoverflow.com/questions/18280436/importerror-matplotlib-requires-dateutil

has some comments on this ...

#3 - 2013-09-24 01:29 PM - Jiirgen Fischer

recheck please

#4 - 2013-09-24 05:01 PM - Chris Crook
- Status changed from Feedback to Closed

Yup .. that's fixed it. Brilliant. Thanks

#5 - 2013-09-25 12:22 AM - Jiirgen Fischer
http://stackoverflow.com/questions/18280436/importerror-matplotlib-requires-dateutil

- Resolution set to fixed
